#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <conio.h>

int main(int argc, char* argv[]) {
    FILE* input_file, * output_file;
    double a, b, c, discriminant, x1, x2;
    int num_roots;
    system("chcp 1251 > nul");
    //     
    input_file = fopen("coefficients.txt", "r");
    if (!input_file) {
        fprintf(stderr, "   coefficients.txt\n");
        return 1;
    }

    //  
    if (fscanf(input_file, "%lf %lf %lf", &a, &b, &c) != 3) {
        fprintf(stderr, "   \n");
        fclose(input_file);
        return 1;
    }
    fclose(input_file);

    //   
    if (a == 0 && b == 0) {
        fprintf(stderr, "  ,   a  b  0\n");
        return 1;
    }

    //     
    output_file = fopen("results.txt", "w");
    if (!output_file) {
        fprintf(stderr, "   results.txt\n");
        return 1;
    }

    //  
    discriminant = b * b - 4 * a * c;

    //   
    if (discriminant > 0) {
        num_roots = 2;
        x1 = (-b + sqrt(discriminant)) / (2 * a);
        x2 = (-b - sqrt(discriminant)) / (2 * a);
        fprintf(output_file, ": %.2f\n : 2\n 1: %.2f\n 2: %.2f\n",
            discriminant, x1, x2);
        printf(": %.2f\n : 2\n 1: %.2f\n 2: %.2f\n",
            discriminant, x1, x2);
    }
    else if (discriminant == 0) {
        num_roots = 1;
        x1 = -b / (2 * a);
        fprintf(output_file, ": %.2f\n : 1\n: %.2f\n",
            discriminant, x1);
        printf(": %.2f\n : 1\n: %.2f\n",
            discriminant, x1);
    }
    else {
        num_roots = 0;
        fprintf(output_file, ": %.2f\n  .\n",
            discriminant);
        printf(": % .2f\n  .\n",
            discriminant);
    }

    fclose(output_file);
    printf("     results.txt\n");
    return 0;
}